# Uses of Class
org.apache.avro.AvroTypeException

Packages that use AvroTypeException
Package
Description
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.path
Interfaces and base classes for AvroPath.

## Uses of AvroTypeException in org.apache.avro.generic

Methods in org.apache.avro.generic that return AvroTypeException
Modifier and Type
Method
Description
`protected AvroTypeException`
GenericDatumWriter.`addAvroTypeMsg(AvroTypeException e, String s)`
Helper method for adding a message to an Avro Type Exception .
Methods in org.apache.avro.generic with parameters of type AvroTypeException
Modifier and Type
Method
Description
`protected AvroTypeException`
GenericDatumWriter.`addAvroTypeMsg(AvroTypeException e, String s)`
Helper method for adding a message to an Avro Type Exception .

## Uses of AvroTypeException in org.apache.avro.path

Subclasses of AvroTypeException in org.apache.avro.path
Modifier and Type
Class
Description
`class`
`TracingAvroTypeException`
an `AvroTypeException` with extra fields used to trace back the path to a bad value through an object graph
Methods in org.apache.avro.path that return AvroTypeException
Modifier and Type
Method
Description
`AvroTypeException`
TracingAvroTypeException.`summarize(Schema root)`
Constructors in org.apache.avro.path with parameters of type AvroTypeException
Modifier
Constructor
Description
``
`TracingAvroTypeException(AvroTypeException cause)`